"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var MarkdownUtil_1 = require("../util/MarkdownUtil");
var components_1 = require("../components");
exports.headerCommand = {
    buttonContent: React.createElement(components_1.MdeToolbarIcon, { icon: "heading" }),
    buttonProps: { "aria-label": "Add header" },
    children: [
        {
            buttonContent: React.createElement("p", { className: "header-1" }, "Header"),
            execute: function (getMarkdownState, setMarkdownState) {
                var _a = getMarkdownState(), text = _a.text, selection = _a.selection;
                setMarkdownState(MarkdownUtil_1.makeHeader({ text: text, selection: selection }, "# "));
            },
        },
        {
            buttonContent: React.createElement("p", { className: "header-2" }, "Header"),
            execute: function (getMarkdownState, setMarkdownState) {
                var _a = getMarkdownState(), text = _a.text, selection = _a.selection;
                setMarkdownState(MarkdownUtil_1.makeHeader({ text: text, selection: selection }, "## "));
            },
        },
        {
            buttonContent: React.createElement("p", { className: "header-3" }, "Header"),
            execute: function (getMarkdownState, setMarkdownState) {
                var _a = getMarkdownState(), text = _a.text, selection = _a.selection;
                setMarkdownState(MarkdownUtil_1.makeHeader({ text: text, selection: selection }, "### "));
            },
        },
    ],
};
